Index: /extensions/stripped/js/scripts-tcp.js
===================================================================
--- /extensions/stripped/js/scripts-tcp.js	(revision 9959)
+++ /extensions/stripped/js/scripts-tcp.js	(revision 9960)
@@ -6,10 +6,10 @@
 	
 	var delay;
-	var animation_fold = false;
+	var animation_webkit = false;
 	if (options.animatedMenu) {
 		if (jQuery.browser.webkit) {
 			// classic animation do not work with webkit browsers
-			animation_fold = true;
-			delay = 900;
+			animation_webkit = true;
+			delay = "slow";
 		} else {
 			delay = "slow";
@@ -25,6 +25,6 @@
 				tnb_resize();
 			} else {
-				if (animation_fold) {
-					jQuery("#menubar").show("fold",{horizFirst:true,mode:"show",size:'200'},delay, function (){tnb_resize();});
+				if (animation_webkit) {
+					jQuery("#menubar").show("blind",{},delay, function (){tnb_resize();});
 				} else {
 					jQuery("#menubar").show(delay, function (){tnb_resize();});
@@ -35,6 +35,6 @@
 			return false;
 		} else {
-				if (animation_fold) {
-					jQuery("#menubar").hide("fold",{horizFirst:true,mode:"hide",size:'10'},delay, function (){tnb_resize();});
+				if (animation_webkit) {
+					jQuery("#menubar").hide("blind",{},delay, function (){tnb_resize();});
 				} else {
 					jQuery("#menubar").hide(delay, function (){tnb_resize();});
Index: /extensions/stripped/js/scripts-tpp.js
===================================================================
--- /extensions/stripped/js/scripts-tpp.js	(revision 9959)
+++ /extensions/stripped/js/scripts-tpp.js	(revision 9960)
@@ -59,5 +59,4 @@
 	var tab_height=[];
 	var delay=400;
-	// var delay="slow";
 	var hfirst;
 	if (jQuery.browser.msie) {hfirst=false;} else {hfirst=true;}
@@ -82,5 +81,4 @@
 						if ((index1 == index2) && (options.animatedTabs)) {
 							jQuery(this).slideUp(delay, function() {tab_title.removeClass("tabSelected");});
-							// jQuery(this).hide("fold",{mode:"hide",size:'1'},delay, function() {tab_title.removeClass("tabSelected");});;
 						} else {
 							jQuery(this).hide();
@@ -100,5 +98,4 @@
 							if ((old_selected_tab == -1) && (options.animatedTabs)) {
 								jQuery(this).slideDown(delay);
-								// jQuery(this).show("fold",{horizFirst:hfirst,mode:"show",size:'1'},delay);
 							} else {
 								jQuery(this).show();
Index: /extensions/stripped/language/en_UK/theme.lang.php
===================================================================
--- /extensions/stripped/language/en_UK/theme.lang.php	(revision 9959)
+++ /extensions/stripped/language/en_UK/theme.lang.php	(revision 9960)
@@ -14,4 +14,5 @@
 $lang['Show image title on top of the page (after browse path)']='Show image title on top of the page (after browse path)';
 $lang['Show description instead of title below image']='Show description instead of title below image';
+$lang['Use arrows instead of navigation thumbnails']='Use arrows instead of navigation thumbnails';
 $lang['Show Information tab only to admins']='Show Information tab only to admins';
 $lang['Image autosize options']='Image autosize options';
Index: /extensions/stripped/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/stripped/language/fr_FR/theme.lang.php	(revision 9959)
+++ /extensions/stripped/language/fr_FR/theme.lang.php	(revision 9960)
@@ -14,4 +14,5 @@
 $lang['Show image title on top of the page (after browse path)']='Afficher le titre de l\'image en haut de la page';
 $lang['Show description instead of title below image']='Afficher la description &agrave; la place du titre en dessous de l\'image';
+$lang['Use arrows instead of navigation thumbnails']='Utiliser des fl&egrave;ches de navigation &agrave; la place des miniatures';
 $lang['Show Information tab only to admins']='Tab \'Informations\' r&eacute;serv&eacute; aux admins';
 $lang['Image autosize options']='Redimensionnement auto des images';
Index: /extensions/stripped/readme.txt
===================================================================
--- /extensions/stripped/readme.txt	(revision 9959)
+++ /extensions/stripped/readme.txt	(revision 9960)
@@ -27,4 +27,10 @@
 Changelog
 ---------
+
+*** version 1.3.0
+
+- compatibility with Piwigo 2.2
+- new configuration system working with DB instead of config file
+- navigation arrows replace navigation thumbnails (thumbnails are still available as an option)
 
 *** version 1.2.2
Index: /extensions/stripped/template/comments.tpl
===================================================================
--- /extensions/stripped/template/comments.tpl	(revision 9959)
+++ /extensions/stripped/template/comments.tpl	(revision 9960)
@@ -15,5 +15,5 @@
 			<label>{'Author'|@translate}&nbsp;<input type="text" name="author" value="{$F_AUTHOR}">&nbsp;&nbsp;</label>
 			<label>
-				{'Category'|@translate}
+				{'Album'|@translate}
 				<select name="cat">
 					<option value="0">------------</option>
Index: /extensions/stripped/template/config.js.tpl
===================================================================
--- /extensions/stripped/template/config.js.tpl	(revision 9959)
+++ /extensions/stripped/template/config.js.tpl	(revision 9960)
@@ -5,19 +5,19 @@
 var options = { {/literal}
 {if $BODY_ID=='theCategoryPage'}
-	animatedMenu:{if #animatedMenu#}true{else}false{/if},
+	animatedMenu:{if $stripped.animatedMenu}true{else}false{/if},
 {/if}
 {if $BODY_ID=='thePicturePage'}
-	animatedTabs:{if #animatedTabs#}true{else}false{/if},
-	imageAutosize:{if #imageAutosize#}true{else}false{/if},
-	imageAutosizeTitle:{if #imageAutosizeTitle#}true{else}false{/if},
-	imageAutosizeMargin:{#imageAutosizeMargin#},
-	imageAutosizeMinHeight:{#imageAutosizeMinHeight#},
-	navThumbsFade:{#navThumbsFade#},
-	marginContainer:{#marginContainer#},
-	paddingContainer:{#paddingContainer#},
-	defaultZoomSize:"{#defaultZoomSize#}",
-	highResClickMode:"{#highResClickMode#}",
+	animatedTabs:{if $stripped.animatedTabs}true{else}false{/if},
+	imageAutosize:{if $stripped.imageAutosize}true{else}false{/if},
+	imageAutosizeTitle:{if $stripped.imageAutosizeTitle}true{else}false{/if},
+	imageAutosizeMargin:{$stripped.imageAutosizeMargin},
+	imageAutosizeMinHeight:{$stripped.imageAutosizeMinHeight},
+	navThumbsFade:{$stripped.navThumbsFade},
+	marginContainer:{$stripped.marginContainer},
+	paddingContainer:{$stripped.paddingContainer},
+	defaultZoomSize:"{$stripped.defaultZoomSize}",
+	highResClickMode:"{$stripped.highResClickMode}",
 {/if} 
-	replaceActionIcons:{if #replaceActionIcons#}true{else}false{/if}
+	replaceActionIcons:{if $stripped.replaceActionIcons}true{else}false{/if}
 {literal}
 }
Index: /extensions/stripped/template/header.tpl
===================================================================
--- /extensions/stripped/template/header.tpl	(revision 9959)
+++ /extensions/stripped/template/header.tpl	(revision 9960)
@@ -34,64 +34,33 @@
   {if isset($U_UP)          }<link rel="up" title="{'Thumbnails'|@translate}" href="{$U_UP}" >{/if}
 
-  {if isset($U_PREFETCH)}<link rel="prefetch" href="{$U_PREFETCH}">{/if}
+	{get_combined_css}
+	{foreach from=$themes item=theme}
+		{if $theme.load_css}
+			{combine_css path="themes/`$theme.id`/theme.css" order=-10}
+		{/if}
+		{if !empty($theme.local_head)}{include file=$theme.local_head load_css=$theme.load_css}{/if}
+	{/foreach}
+
+	{if isset($U_PREFETCH)}<link rel="prefetch" href="{$U_PREFETCH}">{/if}
   
-  {if not empty($page_refresh)}<meta http-equiv="refresh" content="{$page_refresh.TIME};url={$page_refresh.U_REFRESH}">{/if}
-
-  {known_script id="jquery" src=$ROOT_URL|@cat:"themes/stripped/js/jquery-1.4.2.min.js"}
-  {known_script id="jquery-effects-core" src=$ROOT_URL|@cat:"themes/default/js/ui/minified/effects.core.min.js"}
-  {known_script id="jquery-effects-fold" src=$ROOT_URL|@cat:"themes/default/js/ui/minified/effects.fold.min.js"}
-  {known_script id="scripts" src=$ROOT_URL|cat:"themes/default/js/scripts.js"}
-
+	{if not empty($page_refresh)}<meta http-equiv="refresh" content="{$page_refresh.TIME};url={$page_refresh.U_REFRESH}">{/if}
+  
+	{get_combined_scripts load='header'}
+  
 	{if $BODY_ID=='theCategoryPage' || $BODY_ID=='thePicturePage'}
-		{php}
-			$home=$PHPWG_ROOT_PATH;
-			$themes=$this->get_template_vars('themes');
-			foreach($themes as $theme)
-			{
-				$dir=$home."/themes/".$theme['id']."/conf/";
-				$dir=PHPWG_ROOT_PATH.'/themes/'.$theme['id'].'/conf/';
-				$dir=dirname($_SERVER['SCRIPT_FILENAME'])."/themes/".$theme['id']."/conf/";
-				$dirlocal=dirname($_SERVER['SCRIPT_FILENAME'])."/local/themes/".$theme['id']."/conf/";
-				$this->assign("default_conf", $dir."default.conf");
-				if(file_exists($dirlocal."local.conf"))
-				{
-				  $this->assign("local_conf", $dirlocal."local.conf");
-				}
-				else
-				{
-				  $this->assign("local_conf", "");
-				}
-			}
-		{/php}
-		{config_load file=$default_conf}
-		{if $local_conf!=""}
-			{config_load file=$local_conf}
-		{/if}
 		{include file='config.js.tpl'}
 	{/if}
 
 	{if ($BODY_ID=='theCategoryPage')}
-		{known_script id="scripts-tpp" src=$ROOT_URL|cat:"themes/stripped/js/scripts-tcp.js"}
+		{combine_script id='scripts-tcp' load='header' require='jquery.effects.blind' path='themes/stripped/js/scripts-tcp.js'}
 	{/if}
 
 	{if $BODY_ID=='thePicturePage'}
-		{known_script id="scripts-tpp" src=$ROOT_URL|cat:"themes/stripped/js/scripts-tpp.js"}
+		{combine_script id='scripts-tpp' load='header' require='jquery' path='themes/stripped/js/scripts-tpp.js'}
 	{/if}
 
 	{if ($BODY_ID=='theMapListPage')}
-		{known_script id="scripts-tml" src=$ROOT_URL|cat:"themes/stripped/js/scripts-tml.js"}
+		{combine_script id='scripts-tml' load='header' require='jquery' path='themes/stripped/js/scripts-tml.js'}
 	{/if}
-
-  {foreach from=$themes item=theme}
-  {if $theme.load_css}
-  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/{$theme.id}/theme.css">
-  {/if}
-  {if !empty($theme.local_head)}{include file=$theme.local_head}{/if}
-  {/foreach}
-
-  {if isset($U_FEED)}
-  <link rel="alternate" type="application/rss+xml" title="{'Image only RSS feed'|@translate}" href="{$U_FEED_IMAGE_ONLY}">
-  <link rel="alternate" type="application/rss+xml" title="{'Complete RSS feed (images, comments)'|@translate}" href="{$U_FEED}">
-  {/if}
 
   {if not empty($head_elements)}
Index: /extensions/stripped/template/index.tpl
===================================================================
--- /extensions/stripped/template/index.tpl	(revision 9959)
+++ /extensions/stripped/template/index.tpl	(revision 9960)
@@ -8,5 +8,5 @@
 			{if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
 			{if isset($U_EDIT)}
-				<li><a href="{$U_EDIT}" title="{'edit category informations'|@translate}">{'edit'|@translate}</a></li>
+				<li><a href="{$U_EDIT}" title="{'edit'|@translate}">{'edit'|@translate}</a></li>
 			{/if}
 			{if isset($U_CADDIE) }
@@ -24,5 +24,5 @@
 	{if ($GMaps_loaded)}<div id="text_gmaps" style="display:none">{'GMap'|@translate}</div>{/if}
 </div>
-<table id="content" {if !$smarty.config.hideMenu}class="menuShown"{/if} cellpadding="0px" cellspacing="0px">
+<table id="content" {if !$stripped.hideMenu}class="menuShown"{/if} cellpadding="0px" cellspacing="0px">
 	{$MENUBAR}
 	<td id="subcontent">
@@ -49,5 +49,5 @@
 		{if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}<div class="content_block">{$PLUGIN_INDEX_CONTENT_BEGIN}</div>{/if}
 		{if !empty($category_search_results) }
-			<div>{'Category results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+			<div>{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
 				{foreach from=$category_search_results item=res name=res_loop}
 				{if !$smarty.foreach.res_loop.first} &mdash; {/if}
Index: /extensions/stripped/template/mainpage_categories.tpl
===================================================================
--- /extensions/stripped/template/mainpage_categories.tpl	(revision 9959)
+++ /extensions/stripped/template/mainpage_categories.tpl	(revision 9960)
@@ -5,5 +5,5 @@
 		<div class="illustration">
 			<a href="{$cat.URL}">
-				<img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{'shows images at the root of this category'|@translate}">
+				<img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}">
 			</a>
 		</div>
Index: /extensions/stripped/template/menubar_categories.tpl
===================================================================
--- /extensions/stripped/template/menubar_categories.tpl	(revision 9959)
+++ /extensions/stripped/template/menubar_categories.tpl	(revision 9960)
@@ -1,4 +1,4 @@
 <dt>
-	<a href="{$block->data.U_CATEGORIES}">{'Categories'|@translate}</a>
+	<a href="{$block->data.U_CATEGORIES}">{'Albums'|@translate}</a>
 </dt>
 <dd>
@@ -23,11 +23,4 @@
 {'</li></ul>'|@str_repeat:$ref_level}
 
-	{if isset($block->data.U_UPLOAD)}
-	<ul>
-		<li>
-			<a href="{$block->data.U_UPLOAD}">{'Upload a picture'|@translate}</a>
-		</li>
-	</ul>
-	{/if}
-	<p class="totalImages">{$pwg->l10n_dec('%d image', '%d images', $block->data.NB_PICTURE)}</p>
+	<p class="totalImages">{$pwg->l10n_dec('%d photo', '%d photos', $block->data.NB_PICTURE)}</p>
 </dd>
Index: /extensions/stripped/template/menubar_tags.tpl
===================================================================
--- /extensions/stripped/template/menubar_tags.tpl	(revision 9959)
+++ /extensions/stripped/template/menubar_tags.tpl	(revision 9960)
@@ -7,9 +7,9 @@
 			{if isset($tag.U_ADD)}
 				href="{$tag.U_ADD}"
-				title="{$pwg->l10n_dec('%d image is also linked to current tags', '%d images are also linked to current tags', $tag.counter)}"
+				title="{$pwg->l10n_dec('%d photo is also linked to current tags', '%d photos are also linked to current tags', $tag.counter)}"
 				rel="nofollow">+
 			{else}
 				href="{$tag.URL}"
-				title="{'See images linked to this tag only'|@translate}">
+				title="{'display photos linked to this tag'|@translate}">
 			{/if}
 				{$tag.name}</a></span>
Index: /extensions/stripped/template/month_calendar.tpl
===================================================================
--- /extensions/stripped/template/month_calendar.tpl	(revision 9959)
+++ /extensions/stripped/template/month_calendar.tpl	(revision 9960)
@@ -13,5 +13,5 @@
 	{else}
 		{foreach from=$bar.items item=item}
-		<span class="calItem{if !isset($item.URL)}Empty{/if}" {if isset($item.NB_IMAGES)}title="{$pwg->l10n_dec('%d image', '%d images', $item.NB_IMAGES)}"{/if}>
+		<span class="calItem{if !isset($item.URL)}Empty{/if}" {if isset($item.NB_IMAGES)}title="{$pwg->l10n_dec('%d photo', '%d photos', $item.NB_IMAGES)}"{/if}>
 		{if isset($item.URL)}
 		<a href="{$item.URL}">{$item.LABEL}</a>
@@ -69,5 +69,5 @@
 	 			<div class="calImg">
 					<a href="{$day.U_IMG_LINK}">
-			  			<img style="{$day.IMAGE_STYLE}" src="{$day.IMAGE}" alt="{$day.IMAGE_ALT}" title="{$pwg->l10n_dec('%d image','%d images', $day.NB_ELEMENTS)}">
+			  			<img style="{$day.IMAGE_STYLE}" src="{$day.IMAGE}" alt="{$day.IMAGE_ALT}" title="{$pwg->l10n_dec('%d photo','%d photos', $day.NB_ELEMENTS)}">
 					</a>
 				</div>
Index: /extensions/stripped/template/notification.tpl
===================================================================
--- /extensions/stripped/template/notification.tpl	(revision 9959)
+++ /extensions/stripped/template/notification.tpl	(revision 9960)
@@ -1,2 +1,6 @@
+{html_head} 
+<link rel="alternate" type="application/rss+xml" title="{'Photos only RSS feed'|@translate}" href="{$U_FEED_IMAGE_ONLY}"> 
+<link rel="alternate" type="application/rss+xml" title="{'Complete RSS feed (photos, comments)'|@translate}" href="{$U_FEED}"> 
+{/html_head}
 {php}
 	global $conf;
@@ -9,8 +13,8 @@
 </div>
 <div id="content">
-	<p>{'The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'|@translate}</p>
+	<p>{'The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'|@translate}</p>
 	<ul>
-		<li><a href="{$U_FEED_IMAGE_ONLY}">{'Image only RSS feed'|@translate}</a></li>
-		<li><a href="{$U_FEED}">{'Complete RSS feed (images, comments)'|@translate}</a></li>
+		<li><a href="{$U_FEED_IMAGE_ONLY}">{'Photos only RSS feed'|@translate}</a></li>
+		<li><a href="{$U_FEED}">{'Complete RSS feed (photos, comments)'|@translate}</a></li>
 	</ul>
 </div>
Index: /extensions/stripped/template/picture.tpl
===================================================================
--- /extensions/stripped/template/picture.tpl	(revision 9959)
+++ /extensions/stripped/template/picture.tpl	(revision 9960)
@@ -21,5 +21,5 @@
 	<div class="browsePath">
 		{$SECTION_TITLE}
-		{if ($smarty.config.showTitleOnBrowsePath)}{$LEVEL_SEPARATOR}{$current.TITLE}{/if}
+		{if ($stripped.showTitleOnBrowsePath)}{$LEVEL_SEPARATOR}{$current.TITLE}{/if}
 	</div>
     <ul class="randomButtons">
@@ -29,28 +29,31 @@
         {/if}
         {if !empty($U_SET_AS_REPRESENTATIVE) }
-			<li><a href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as category representative'|@translate}">{'representative'|@translate}</a></li>
+			<li><a href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as album representative'|@translate}">{'representative'|@translate}</a></li>
         {/if}
         {if isset($U_ADMIN) }
 			<li><a href="{$U_ADMIN}" title="{'Modify information'|@translate}">{'edit'|@translate}</a></li>
         {/if}
-		{if isset($U_CADDIE) }{*caddie management BEGIN*}
-			<script type="text/javascript">
-				{literal}function addToCadie(aElement, rootUrl, id)
-				{
-				if (aElement.disabled) return;
-				aElement.disabled=true; 
-				var y = new PwgWS(rootUrl);
-
-				y.callService(
-				  "pwg.caddie.add", {image_id: id} ,
-				  {
-					onFailure: function(num, text) { alert(num + " " + text); document.location=aElement.href; },
-					onSuccess: function(result) { aElement.disabled = false; }
-				  }
-				  );
-				}{/literal}
-			</script>
-			<li><a href="{$U_CADDIE}" onclick="addToCadie(this, '{$ROOT_URL|@escape:'javascript'}', {$current.id}); return false;" title="{'add to caddie'|@translate}">{'caddie'|@translate}</a></li>
-		{/if}{*caddie management END*}
+{strip}{if isset($U_CADDIE)}{*caddie management BEGIN*}
+
+{footer_script}
+{literal}function addToCadie(aElement, rootUrl, id)
+{
+if (aElement.disabled) return;
+aElement.disabled=true;
+var y = new PwgWS(rootUrl);
+
+y.callService(
+	"pwg.caddie.add", {image_id: id} ,
+	{
+		onFailure: function(num, text) { alert(num + " " + text); document.location=aElement.href; },
+		onSuccess: function(result) { aElement.disabled = false; }
+	}
+	);
+}{/literal}
+{/footer_script}
+	<li><a href="{$U_CADDIE}" onclick="addToCadie(this, '{$ROOT_URL}', {$current.id}); return false;" title="{'add to caddie'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+		<span class="pwg-icon pwg-icon-caddie-add"> </span><span class="pwg-button-text">{'caddie'|@translate}</span>
+	</a></li>
+{/if}{/strip}{*caddie management END*}
         {if isset($U_SLIDESHOW_START) }
 			<li><a href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}" rel="nofollow">{'slideshow'|@translate}</a></li>
@@ -85,10 +88,10 @@
 
 	{assign var='display_description_tab' value=false}
-	{if (!($smarty.config.showDescriptionInsteadOfTitle) && isset($COMMENT_IMG))}
+	{if (!($stripped.showDescriptionInsteadOfTitle) && isset($COMMENT_IMG))}
 		{assign var='display_description_tab' value=true}
 	{/if}
 
 	{assign var='showTitle' value=false}
-	{if ($SHOW_PICTURE_NAME_ON_TITLE && (isset($COMMENT_IMG) || !($smarty.config.showDescriptionInsteadOfTitle) ))}
+	{if ($SHOW_PICTURE_NAME_ON_TITLE && (isset($COMMENT_IMG) || !($stripped.showDescriptionInsteadOfTitle) ))}
 		{assign var='showTitle' value=true}
 	{/if}
@@ -99,4 +102,7 @@
 	$this->assign('usertags', (isset($pwg_loaded_plugins[ 'user_tags' ])));
 {/php}
+{if $stripped.useNavigationArrows }
+	{assign var='nothumbs' value=true}
+{/if}	
 
 <div id="theImageAndTitle">
@@ -112,5 +118,5 @@
 	{if $showTitle }
 		<div id="imageTitleContainer"><div id="imageTitle">
-			{if $smarty.config.showDescriptionInsteadOfTitle}
+			{if $stripped.showDescriptionInsteadOfTitle}
 				{$COMMENT_IMG|strip_tags:false}
 			{else}
@@ -137,5 +143,5 @@
 		{if isset($rating)}{assign var='display_count' value=$display_count+1}{/if}
 		{if $display_info.privacy_level and isset($available_permission_levels) }{assign var='display_count' value=$display_count+1}{/if}
-		{if (($display_count > 0) && ((isset($U_ADMIN)) || ($smarty.config.infoTabAdminOnly == false)))}
+		{if (($display_count > 0) && ((isset($U_ADMIN)) || ($stripped.infoTabAdminOnly == false)))}
 			{assign var='display_info_panel' value=true}
 		{/if}
@@ -197,5 +203,5 @@
 			{if $display_info_panel}
 				<div id="Tinfo" class="tabBlock"><div class="tabBlockContent">
-					<table id="standard" class="infoTable" summary="{'Some info about this picture'|@translate}">
+					<table id="standard" class="infoTable">
 						{if $display_info.author}
 							<tr id="Author">
@@ -272,5 +278,5 @@
 							<tr id="rating">
 								<td class="label">
-									<span id="updateRate">{if isset($rating.USER_RATE)}{'Update your rating'|@translate}{else}{'Rate this picture'|@translate}{/if}</span>
+									<span id="updateRate">{if isset($rating.USER_RATE)}{'Update your rating'|@translate}{else}{'Rate this photo'|@translate}{/if}</span>
 								</td>
 								<td class="value">
@@ -297,23 +303,25 @@
 						{/if}
 
-						{if $display_info.privacy_level and isset($available_permission_levels) }
+						{if $display_info.privacy_level and isset($available_permission_levels)}
 							<tr id="Privacy">
 								<td class="label">{'Who can see this photo?'|@translate}</td>
-								<td class="value"> 
-									<script type="text/javascript">
-										{literal}function setPrivacyLevel(selectElement, rootUrl, id, level) {
+								<td class="value">
+									{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
+									{footer_script}
+										{literal}function setPrivacyLevel(selectElement, rootUrl, id, level)
+										{
 											selectElement.disabled = true;
 											var y = new PwgWS(rootUrl);
 											y.callService(
-												"pwg.images.setPrivacyLevel", {image_id: id, level:level} ,
-												{
-													method: "POST",
-													onFailure: function(num, text) { selectElement.disabled = false; alert(num + " " + text); },
-													onSuccess: function(result) { selectElement.disabled = false; }
-												}
-												);
+											"pwg.images.setPrivacyLevel", {image_id: id, level:level} ,
+											{
+												method: "POST",
+												onFailure: function(num, text) { selectElement.disabled = false; alert(num + " " + text); },
+												onSuccess: function(result) { selectElement.disabled = false; }
+											}
+										);
 										}{/literal}
-									</script>
-									<select onchange="setPrivacyLevel(this, '{$ROOT_URL|@escape:'javascript'}', {$current.id}, this.options[selectedIndex].value)">
+									{/footer_script}
+									<select onchange="setPrivacyLevel(this, '{$ROOT_URL}', {$current.id}, this.options[selectedIndex].value)">
 										{foreach from=$available_permission_levels item=label key=level}
 											<option label="{$label}" value="{$level}"{if $level == $current.level} selected="selected"{/if}>{$label}</option>
Index: /extensions/stripped/template/picture_content.tpl
===================================================================
--- /extensions/stripped/template/picture_content.tpl	(revision 9959)
+++ /extensions/stripped/template/picture_content.tpl	(revision 9960)
@@ -1,5 +1,7 @@
 {php}
-	global $pwg_loaded_plugins;
+	global $pwg_loaded_plugins, $conf;
 	$this->assign('HDShadowbox_loaded', isset($pwg_loaded_plugins[ 'HDShadowbox' ]));
+	$config = unserialize( $conf['stripped'] );
+	$this->assign( 'stripped', $config );
 {/php}
 {if isset($high)}
@@ -10,9 +12,18 @@
 	{/if}
 {/if}
-<div id="theImg" {if isset($winhigh) }onclick="openDisplayHigh('{$high.U_HIGH}');" class="pointer"{/if}>
+<div id="theImg" {if ($stripped.useNavigationArrows)}class="img_frame"{/if}>
+	{if ($stripped.useNavigationArrows) && ($DISPLAY_NAV_THUMB)}
+		{if isset($previous)}
+			<a href="{$previous.U_IMG}" class="img_nav img_prev">&nbsp;</a>
+		{/if}
+		{if isset($next)}
+			<a href="{$next.U_IMG}" class="img_nav img_next">&nbsp;</a>
+		{/if}
+	{/if}
+
 	{if isset($pwghigh)}<a href="{$high.U_HIGH}" rel="shadowbox">{/if}
-	<img src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}" 
+	<img src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}" {if isset($winhigh) }onclick="openDisplayHigh('{$high.U_HIGH}');" class="pointer"{/if} 
 		{if isset($high)}
-			title="{'Click on the picture to see it in high definition'|@translate}"
+			title="{'Click on the photo to see it in high definition'|@translate}"
 		{/if}>
 	{if isset($pwghigh)}</a>{/if}
Index: /extensions/stripped/template/slideshow.tpl
===================================================================
--- /extensions/stripped/template/slideshow.tpl	(revision 9959)
+++ /extensions/stripped/template/slideshow.tpl	(revision 9960)
@@ -21,10 +21,10 @@
 	<div id="content">
 		{assign var='display_description_tab' value=false}
-		{if (!($smarty.config.showDescriptionInsteadOfTitle) && isset($COMMENT_IMG))}
+		{if (!($stripped.showDescriptionInsteadOfTitle) && isset($COMMENT_IMG))}
 			{assign var='display_description_tab' value=true}
 		{/if}
 
 		{assign var='showTitle' value=false}
-		{if ($SHOW_PICTURE_NAME_ON_TITLE && (isset($COMMENT_IMG) || !($smarty.config.showDescriptionInsteadOfTitle) ))}
+		{if ($SHOW_PICTURE_NAME_ON_TITLE && (isset($COMMENT_IMG) || !($stripped.showDescriptionInsteadOfTitle) ))}
 			{assign var='showTitle' value=true}
 		{/if}
@@ -38,5 +38,5 @@
 			{if $showTitle }
 				<div id="imageTitleContainer"><div id="imageTitle">
-					{if $smarty.config.showDescriptionInsteadOfTitle}
+					{if $stripped.showDescriptionInsteadOfTitle}
 						{$COMMENT_IMG|strip_tags:false}
 					{else}
Index: /extensions/stripped/template/tags.tpl
===================================================================
--- /extensions/stripped/template/tags.tpl	(revision 9959)
+++ /extensions/stripped/template/tags.tpl	(revision 9960)
@@ -21,5 +21,5 @@
 			<div id="fullTagCloud">
 				{foreach from=$tags item=tag}
-					<span><a href="{$tag.URL}" class="tagLevel{$tag.level}" title="{$pwg->l10n_dec('%d image', '%d images', $tag.counter)}">{$tag.name}</a></span>
+					<span><a href="{$tag.URL}" class="tagLevel{$tag.level}" title="{$pwg->l10n_dec('%d photo', '%d photos', $tag.counter)}">{$tag.name}</a></span>
 				{/foreach}
 			</div>
@@ -36,5 +36,5 @@
 										<tr class="tagLine">
 										<td><a href="{$tag.URL}">{$tag.name}</a></td>
-										<td class="nbEntries">{$pwg->l10n_dec('%d image', '%d images', $tag.counter)}</td>
+										<td class="nbEntries">{$pwg->l10n_dec('%d photo', '%d photos', $tag.counter)}</td>
 										</tr>
 									{/foreach}
Index: tensions/stripped/template/upload.tpl
===================================================================
--- /extensions/stripped/template/upload.tpl	(revision 9959)
+++ 	(revision )
@@ -1,87 +1,0 @@
-{php}
-	global $conf;
-	$this->assign('LEVEL_SEPARATOR', $conf[ 'level_separator' ]);
-{/php}
-<div class="titrePage">
-	<div class="browsePath">
-		<h2><a href="{$U_HOME}" title="{'return to homepage'|@translate}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'Upload a picture'|@translate}</h2>
-	</div>
-</div>
-<div id="content">
-	{if isset($errors) and count($errors)}
-		<div class="errors">
-			<ul>
-				{foreach from=$errors item=error}
-					<li>{$error}</li>
-				{/foreach}
-			</ul>
-		</div>
-	{/if}
-	{if not $UPLOAD_SUCCESSFUL }
-		<form enctype="multipart/form-data" method="post" action="{$F_ACTION}">
-			<fieldset>
-				<legend>{$ADVISE_TITLE}</legend>
-				{if not empty($advises)}
-					<ul>
-						{foreach from=$advises item=advise}
-							<li>{$advise}</li>
-						{/foreach}
-					</ul>
-				{/if}
-				<ul>
-					<li>
-						<div class="property">&nbsp;</div><input name="picture" type="file" value="" />
-					</li>
-					{if isset($SHOW_FORM_FIELDS) and $SHOW_FORM_FIELDS}
-						<!-- category -->
-						<li>
-							<div class="property">{'Category'|@translate}</div>
-							{html_options name="category" options=$categories selected=$categories_selected}
-						</li>
-						<!-- username -->
-						<li>
-							<div class="property">{'Username'|@translate}</div>
-							<input name="username" type="text" value="{$NAME}" />&nbsp;<span class="mandatorystar">*</span>
-						</li>
-						<!-- mail address -->
-						<li>
-							<div class="property">{'E-mail address'|@translate}</div>
-							<input name="mail_address" type="text" value="{$EMAIL}" size="35"/>&nbsp;<span class="mandatorystar">*</span>
-						</li>
-						<!-- name of the picture -->
-						<li>
-							<div class="property">{'Name of the picture'|@translate}</div>
-							<input name="name" type="text" value="{$NAME_IMG}" size="35"/>
-						</li>
-						<!-- author -->
-						<li>
-							<div class="property">{'Author'|@translate}</div>
-							<input name="author" type="text" value="{$AUTHOR_IMG}" size="35"/>
-						</li>
-						<!-- date of creation -->
-						<li>
-							<div class="property">{'Creation date'|@translate} (DD/MM/YYYY)</div>
-							<input name="date_creation" type="text" value="{$DATE_IMG}" />
-						</li>
-						<!-- comment -->
-						<li>
-							<div class="property">{'Comment'|@translate}</div>
-							<textarea name="comment" rows="6" cols="60" style="overflow:auto">{$COMMENT_IMG}</textarea>
-						</li>
-					{/if}
-				</ul>
-			</fieldset>
-			<p class="bottomButtons">
-				<input class="submit" name="submit" type="submit" value="{'Submit'|@translate}" />
-			</p>
-		</form>
-	{else}
-		{'Picture uploaded with success, an administrator will validate it as soon as possible'|@translate}<br />
-		<div style="text-align:center;">
-			<a href="{$U_RETURN}">[ {'Home'|@translate} ]</a>
-		</div>
-	{/if}
-	{if isset($SHOW_FORM_FIELDS) and $SHOW_FORM_FIELDS}
-		<p><span class="mandatorystar">*</span> : {'obligatory'|@translate}</p>
-	{/if}
-</div> <!-- content -->
Index: /extensions/stripped/theme.css
===================================================================
--- /extensions/stripped/theme.css	(revision 9959)
+++ /extensions/stripped/theme.css	(revision 9960)
@@ -738,4 +738,32 @@
 	-moz-opacity:0.;
 	-khtml-opacity: 0.;
+}
+
+/* Image Nav Arrows ---------------------------------------------------------------------------- */
+
+.img_frame {
+	position:relative;
+	vertical-align:middle;
+}
+.img_nav {
+	position:absolute;
+	height:100%;
+	width:25%;
+	top:0;
+	display:block;
+}
+.img_prev {
+	background:transparent url(icon/none.png) no-repeat left center;
+	left:0;
+}
+.img_prev:hover {
+	background:transparent url(icon/img_prev.png) no-repeat left center;
+}
+.img_next {
+	background:transparent url(icon/none.png) no-repeat right center;
+	right:0;
+	}
+.img_next:hover {
+	background:transparent url(icon/img_next.png) no-repeat right center;
 }
 
Index: /extensions/stripped/themeconf.inc.php
===================================================================
--- /extensions/stripped/themeconf.inc.php	(revision 9959)
+++ /extensions/stripped/themeconf.inc.php	(revision 9960)
@@ -2,5 +2,5 @@
 /*
 Theme Name: stripped
-Version: 1.2.2
+Version: 1.3.0.beta
 Description: stripped Theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=471
@@ -9,4 +9,14 @@
 */
 
+add_event_handler('loc_begin_page_header', 'set_config_values');
+
+function set_config_values()
+{
+	global $conf, $template;
+
+	$config = unserialize( $conf['stripped'] );
+	$template->assign( 'stripped', $config );
+}
+	
 $themeconf = array(
   'parent' => 'default',